/[gentoo-x86]/app-office/libreoffice/libreoffice-3.6.9999.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-3.6.9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.6 - (show annotations) (download)
Sun Jun 17 15:03:07 2012 UTC (2 years, 6 months ago) by dilfridge
Branch: MAIN
Changes since 1.5: +1 -0 lines
Make 3.6 build at least for USE=-binfilter

(Portage version: 2.2.0_alpha110/cvs/Linux x86_64)

1 # Copyright 1999-2012 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.9999.ebuild,v 1.4 2012/06/11 14:01:00 scarabeus Exp $
4
5 EAPI=4
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_DEPEND="2"
13 PYTHON_USE_WITH="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src
21 http://download.documentfoundation.org/libreoffice/old/src
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.5.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Split modules following git/tarballs
39 # Core MUST be first!
40 # Help is used for the image generator
41 MODULES="core binfilter help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == binfilter ]]; then
47 SRC_URI+=" binfilter? ( ${i}/${PN}-${mod}-${PV}.tar.xz )"
48 else
49 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50 fi
51 done
52 unset mod
53 done
54 unset i
55 fi
56 unset DEV_URI
57
58 # Really required addons
59 # These are bundles that can't be removed for now due to huge patchsets.
60 # If you want them gone, patches are welcome.
61 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62 ADDONS_SRC+=" xmlsec? ( ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz )" # modifies source code
63 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64 ADDONS_SRC+=" java? ( ${ADDONS_URI}/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip )"
65 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
66 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
67 SRC_URI+=" ${ADDONS_SRC}"
68
69 unset ADDONS_URI
70 unset EXT_URI
71 unset ADDONS_SRC
72
73 IUSE="binfilter binfilterdebug +branding +cups dbus eds gnome +graphite
74 gstreamer +gtk jemalloc kde mysql +nsplugin odk opengl postgres svg test +vba
75 +webdav +xmlsec"
76
77 LO_EXTS="nlpsolver pdfimport presenter-console presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
78 # Unpackaged separate extensions:
79 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
80 # hunart: only on ooo extensions -> fubared download path somewhere on sf
81 # numbertext, typo, validator, watch-window: ^^
82 # oooblogger: no homepage or anything
83 # Extensions that need extra work:
84 # report-builder: missing java packages
85 for lo_xt in ${LO_EXTS}; do
86 IUSE+=" libreoffice_extensions_${lo_xt}"
87 done
88 unset lo_xt
89
90 LICENSE="|| ( LGPL-3 MPL-1.1 )"
91 SLOT="0"
92 [[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
93
94 NSS_DEPEND="
95 >=dev-libs/nspr-4.8.8
96 >=dev-libs/nss-3.12.9
97 "
98 COMMON_DEPEND="
99 app-arch/zip
100 app-arch/unzip
101 >=app-text/hunspell-1.3.2-r3
102 app-text/mythes
103 >=app-text/libexttextcat-3.2
104 app-text/libwpd:0.9[tools]
105 app-text/libwpg:0.2
106 >=app-text/libwps-0.2.2
107 >=dev-cpp/clucene-2.3.3.4-r2
108 >=dev-cpp/libcmis-0.2
109 dev-db/unixODBC
110 dev-libs/expat
111 >=dev-libs/glib-2.28
112 >=dev-libs/hyphen-2.7.1
113 >=dev-libs/icu-4.8.1.1
114 >=dev-lang/perl-5.0
115 >=dev-libs/openssl-1.0.0d
116 >=dev-libs/redland-1.0.14[ssl]
117 >=media-libs/fontconfig-2.8.0
118 media-libs/freetype:2
119 media-libs/lcms:2
120 >=media-libs/libpng-1.4
121 >=media-libs/libcdr-0.0.5
122 media-libs/libvisio
123 >=net-misc/curl-7.21.4
124 sci-mathematics/lpsolve
125 >=sys-libs/db-4.8
126 virtual/jpeg
127 >=x11-libs/cairo-1.10.0[X]
128 x11-libs/libXinerama
129 x11-libs/libXrandr
130 x11-libs/libXrender
131 cups? ( net-print/cups )
132 dbus? ( >=dev-libs/dbus-glib-0.92 )
133 eds? ( gnome-extra/evolution-data-server )
134 gnome? ( gnome-base/gconf:2 )
135 gtk? (
136 x11-libs/gdk-pixbuf[X]
137 >=x11-libs/gtk+-2.24:2
138 )
139 graphite? ( media-gfx/graphite2 )
140 gstreamer? (
141 >=media-libs/gstreamer-0.10
142 >=media-libs/gst-plugins-base-0.10
143 )
144 jemalloc? ( dev-libs/jemalloc )
145 libreoffice_extensions_pdfimport? ( >=app-text/poppler-0.16[xpdf-headers,cxx] )
146 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
147 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
148 libreoffice_extensions_wiki-publisher? (
149 dev-java/commons-codec:0
150 dev-java/commons-httpclient:3
151 dev-java/commons-lang:2.1
152 dev-java/commons-logging:0
153 dev-java/tomcat-servlet-api:3.0
154 )
155 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
156 opengl? ( virtual/opengl )
157 postgres? ( >=dev-db/postgresql-base-8.4.0 )
158 svg? ( gnome-base/librsvg )
159 webdav? ( net-libs/neon )
160 xmlsec? ( ${NSS_DEPEND} )
161 "
162
163 RDEPEND="${COMMON_DEPEND}
164 !app-office/libreoffice-bin
165 !app-office/libreoffice-bin-debug
166 !app-office/openoffice-bin
167 !app-office/openoffice
168 media-fonts/libertine-ttf
169 media-fonts/liberation-fonts
170 media-fonts/urw-fonts
171 java? ( >=virtual/jre-1.6 )
172 "
173
174 PDEPEND="
175 >=app-office/libreoffice-l10n-3.5
176 "
177
178 # FIXME: cppunit should be moved to test conditional
179 # after everything upstream is under gbuild
180 # as dmake execute tests right away
181 DEPEND="${COMMON_DEPEND}
182 >=dev-libs/boost-1.46
183 >=dev-libs/libxml2-2.7.8
184 dev-libs/libxslt
185 dev-perl/Archive-Zip
186 dev-util/cppunit
187 >=dev-util/gperf-3
188 dev-util/intltool
189 dev-util/mdds
190 virtual/pkgconfig
191 net-misc/npapi-sdk
192 >=sys-apps/findutils-4.4.2
193 sys-devel/bison
194 sys-apps/coreutils
195 sys-devel/flex
196 sys-devel/gettext
197 >=sys-devel/make-3.82
198 sys-libs/zlib
199 x11-libs/libXt
200 x11-libs/libXtst
201 x11-proto/randrproto
202 x11-proto/xextproto
203 x11-proto/xineramaproto
204 x11-proto/xproto
205 java? (
206 =virtual/jdk-1.6*
207 >=dev-java/ant-core-1.7
208 test? ( dev-java/junit:4 )
209 )
210 test? ( dev-util/cppunit )
211 "
212
213 PATCHES=(
214 # not upstreamable stuff
215 "${FILESDIR}/${PN}-3.6-system-pyuno.patch"
216 "${FILESDIR}/${PN}-3.6.9999-parins.patch"
217 )
218
219 REQUIRED_USE="
220 nsplugin? ( gtk )
221 gnome? ( gtk )
222 eds? ( gnome )
223 libreoffice_extensions_nlpsolver? ( java )
224 libreoffice_extensions_scripting-beanshell? ( java )
225 libreoffice_extensions_scripting-javascript? ( java )
226 libreoffice_extensions_wiki-publisher? ( java )
227 "
228
229 S="${WORKDIR}/${PN}-core-${PV}"
230
231 CHECKREQS_MEMORY="512M"
232 CHECKREQS_DISK_BUILD="6G"
233
234 pkg_pretend() {
235 local pgslot
236
237 if [[ ${MERGE_TYPE} != binary ]]; then
238 check-reqs_pkg_pretend
239
240 if [[ $(gcc-major-version) -lt 4 ]] || \
241 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 5 ]] ) \
242 ; then
243 eerror "Compilation with gcc older than 4.5 is not supported"
244 die "Too old gcc found."
245 fi
246 fi
247
248 # ensure pg version
249 if use postgres; then
250 pgslot=$(postgresql-config show)
251 if [[ ${pgslot//.} < 90 ]] ; then
252 eerror "PostgreSQL slot must be set to 9.0 or higher."
253 eerror " postgresql-config set 9.0"
254 die "PostgreSQL slot is not set to 9.0 or higher."
255 fi
256 fi
257 }
258
259 pkg_setup() {
260 java-pkg-opt-2_pkg_setup
261 kde4-base_pkg_setup
262
263 python_set_active_version 2
264 python_pkg_setup
265
266 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
267 }
268
269 src_unpack() {
270 local mod dest tmplfile tmplname mypv
271
272 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
273 if use branding; then
274 unpack "${BRANDING}"
275 fi
276
277 if [[ ${PV} != *9999* ]]; then
278 for mod in ${MODULES}; do
279 if [[ ${mod} == binfilter ]] && ! use binfilter; then
280 continue
281 fi
282 unpack "${PN}-${mod}-${PV}.tar.xz"
283 if [[ ${mod} != core ]]; then
284 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}"
285 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
286 fi
287 done
288 else
289 for mod in ${MODULES}; do
290 if [[ ${mod} == binfilter ]] && ! use binfilter; then
291 continue
292 fi
293 mypv=${PV/.9999}
294 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
295 EGIT_PROJECT="${PN}/${mod}"
296 EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
297 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
298 EGIT_NOUNPACK="true"
299 git-2_src_unpack
300 if [[ ${mod} != core ]]; then
301 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}"
302 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
303 fi
304 done
305 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
306 fi
307 }
308
309 src_prepare() {
310 # optimization flags
311 export ARCH_FLAGS="${CXXFLAGS}"
312 export LINKFLAGSOPTIMIZE="${LDFLAGS}"
313 export GMAKE_OPTIONS="${MAKEOPTS}"
314
315 # patchset
316 if [[ -n ${PATCHSET} ]]; then
317 EPATCH_FORCE="yes" \
318 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
319 EPATCH_SUFFIX="patch" \
320 epatch
321 fi
322
323 base_src_prepare
324
325 # please no debug in binfilter, it blows up things insanely
326 if use binfilter && ! use binfilterdebug ; then
327 for name in $(find "${S}/binfilter" -name makefile.mk) ; do
328 sed -i -e '1i\CFLAGS+= -g0' $name || die
329 done
330 fi
331
332 AT_M4DIR="m4"
333 eautoreconf
334 # hack in the autogen.sh
335 touch autogen.lastrun
336
337 # system pyuno mess
338 sed \
339 -e "s:%eprefix%:${EPREFIX}:g" \
340 -e "s:%libdir%:$(get_libdir):g" \
341 -i pyuno/source/module/uno.py \
342 -i scripting/source/pyprov/officehelper.py || die
343 }
344
345 src_configure() {
346 local java_opts
347 local internal_libs
348 local lo_ext
349 local ext_opts
350 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
351
352 # recheck that there is some value in jobs
353 [[ -z ${jbs} ]] && jbs="1"
354
355 # sane: just sane.h header that is used for scan in writer, not
356 # linked or anything else, worthless to depend on
357 # vigra: just uses templates from there
358 # it is serious pain in the ass for packaging
359 # should be replaced by boost::gil if someone interested
360 internal_libs+="
361 --without-system-sane
362 --without-system-vigra
363 "
364
365 # libreoffice extensions handling
366 for lo_xt in ${LO_EXTS}; do
367 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
368 done
369
370 if use java; then
371 # hsqldb: system one is too new
372 # saxon: system one does not work properly
373 java_opts="
374 --without-system-hsqldb
375 --without-system-saxon
376 --with-ant-home="${ANT_HOME}"
377 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
378 --with-java-target-version=$(java-pkg_get-target)
379 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
380 "
381
382 use libreoffice_extensions_scripting-beanshell && \
383 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
384
385 use libreoffice_extensions_scripting-javascript && \
386 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
387
388 if use libreoffice_extensions_wiki-publisher; then
389 java_opts+="
390 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
391 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
392 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
393 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
394 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
395 "
396 fi
397
398 if use test; then
399 java_opts+=" --with-junit=$(java-pkg_getjar junit-4 junit.jar)"
400 else
401 java_opts+=" --without-junit"
402 fi
403 fi
404
405 if use branding; then
406 internal_libs+="
407 --with-intro-bitmap="${WORKDIR}/branding-intro.png"
408 "
409 fi
410
411 # it's not entirely clear to me where the failure is, boost libreoffice gcc come to my mind
412 append-cppflags -DBOOST_NO_0X_HDR_TYPEINDEX
413
414 # system headers/libs/...: enforce using system packages
415 # --enable-unix-qstart-libpng: use libpng splashscreen that is faster
416 # --enable-cairo: ensure that cairo is always required
417 # --enable-*-link: link to the library rather than just dlopen on runtime
418 # --enable-release-build: build the libreoffice as release
419 # --disable-fetch-external: prevent dowloading during compile phase
420 # --disable-gnome-vfs: old gnome virtual fs support
421 # --disable-kdeab: kde3 adressbook
422 # --disable-kde: kde3 support
423 # --disable-ldap: ldap requires internal mozilla stuff, same like mozab
424 # --disable-mozilla: disable mozilla build that is used for adresbook, not
425 # affecting the nsplugin that is always ON
426 # --disable-pch: precompiled headers cause build crashes
427 # --disable-rpath: relative runtime path is not desired
428 # --disable-systray: quickstarter does not actually work at all so do not
429 # promote it
430 # --disable-zenity: disable build icon
431 # --enable-extension-integration: enable any extension integration support
432 # --with-{max-jobs,num-cpus}: ensuring parallel building
433 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
434 # --without-stlport: disable deprecated extensions framework
435 # --disable-ext-report-builder: too much java packages pulled in
436 econf \
437 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
438 --with-system-headers \
439 --with-system-libs \
440 --with-system-jars \
441 --with-system-dicts \
442 --enable-cairo-canvas \
443 --enable-largefile \
444 --enable-mergelibs \
445 --enable-python=system \
446 --enable-randr \
447 --enable-randr-link \
448 --enable-release-build \
449 --enable-unix-qstart-libpng \
450 --disable-ccache \
451 --disable-crashdump \
452 --disable-dependency-tracking \
453 --disable-epm \
454 --disable-fetch-external \
455 --disable-gnome-vfs \
456 --disable-ext-report-builder \
457 --disable-kdeab \
458 --disable-kde \
459 --disable-ldap \
460 --disable-mozilla \
461 --disable-online-update \
462 --disable-pch \
463 --disable-rpath \
464 --disable-systray \
465 --disable-zenity \
466 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
467 --with-build-version="Gentoo official package" \
468 --enable-extension-integration \
469 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
470 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
471 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
472 --with-external-tar="${DISTDIR}" \
473 --with-lang="" \
474 --with-max-jobs=${jbs} \
475 --with-num-cpus=${jbs} \
476 --with-unix-wrapper=libreoffice \
477 --with-vendor="Gentoo Foundation" \
478 --with-x \
479 --without-afms \
480 --without-fonts \
481 --without-myspell-dicts \
482 --without-stlport \
483 --without-system-mozilla \
484 --without-help \
485 --with-helppack-integration \
486 --without-sun-templates \
487 --disable-gtk3 \
488 $(use_enable binfilter) \
489 $(use_enable cups) \
490 $(use_enable dbus) \
491 $(use_enable eds evolution2) \
492 $(use_enable gnome gconf) \
493 $(use_enable gnome gio) \
494 $(use_enable gnome lockdown) \
495 $(use_enable graphite) \
496 $(use_enable gstreamer) \
497 $(use_enable gtk) \
498 $(use_enable kde kde4) \
499 $(use_enable mysql ext-mysql-connector) \
500 $(use_enable nsplugin) \
501 $(use_enable odk) \
502 $(use_enable opengl) \
503 $(use_enable postgres postgresql-sdbc) \
504 $(use_enable svg librsvg system) \
505 $(use_enable test linkoo) \
506 $(use_enable vba) \
507 $(use_enable webdav neon) \
508 $(use_enable xmlsec) \
509 $(use_with java) \
510 $(use_with mysql system-mysql-cppconn) \
511 ${internal_libs} \
512 ${java_opts} \
513 ${ext_opts}
514 }
515
516 src_compile() {
517 # hack for offlinehelp, this needs fixing upstream at some point
518 # it is broken because we send --without-help
519 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
520 (
521 source "${S}/config_host.mk" 2&> /dev/null
522
523 local path="${SOLARVER}/${INPATH}/res/img"
524 mkdir -p "${path}" || die
525
526 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
527 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
528 -dir=icon-themes/galaxy/res/helpimg \
529 > "${path}/helpimg.ilst"
530 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
531 )
532
533 # this is not a proper make script
534 make build || die
535 }
536
537 src_test() {
538 make unitcheck || die
539 make slowcheck || die
540 }
541
542 src_install() {
543 # This is not Makefile so no buildserver
544 make DESTDIR="${D}" distro-pack-install -o build -o check || die
545
546 # Fix bash completion placement
547 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
548 rm -rf "${ED}"/etc/
549
550 # symlink the nsplugin to system location
551 if use nsplugin; then
552 inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
553 fi
554
555 if use branding; then
556 insinto /usr/$(get_libdir)/${PN}/program
557 newins "${WORKDIR}/branding-sofficerc" sofficerc
558 fi
559
560 # Hack for offlinehelp, this needs fixing upstream at some point.
561 # It is broken because we send --without-help
562 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
563 insinto /usr/$(get_libdir)/libreoffice/help
564 doins xmlhelp/util/*.xsl
565 }
566
567 pkg_preinst() {
568 # Cache updates - all handled by kde eclass for all environments
569 kde4-base_pkg_preinst
570 }
571
572 pkg_postinst() {
573 kde4-base_pkg_postinst
574
575 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
576 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
577
578 use java || \
579 ewarn 'If you plan to use lbase aplication you should enable java or you will get various crashes.'
580 }
581
582 pkg_postrm() {
583 kde4-base_pkg_postrm
584 }

  ViewVC Help
Powered by ViewVC 1.1.20